package com.ruoyi.ngtools.service;

import java.util.List;
import com.ruoyi.ngtools.domain.NgNgpar;

/**
 * 天然气物性参数Service接口
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public interface INgNgparService 
{
    /**
     * 查询天然气物性参数
     * 
     * @param id 天然气物性参数主键
     * @return 天然气物性参数
     */
    public NgNgpar selectNgNgparById(String id);

    /**
     * 查询天然气物性参数列表
     * 
     * @param ngNgpar 天然气物性参数
     * @return 天然气物性参数集合
     */
    public List<NgNgpar> selectNgNgparList(NgNgpar ngNgpar);

    /**
     * 新增天然气物性参数
     * 
     * @param ngNgpar 天然气物性参数
     * @return 结果
     */
    public int insertNgNgpar(NgNgpar ngNgpar);

    /**
     * 修改天然气物性参数
     * 
     * @param ngNgpar 天然气物性参数
     * @return 结果
     */
    public int updateNgNgpar(NgNgpar ngNgpar);

    /**
     * 批量删除天然气物性参数
     * 
     * @param ids 需要删除的天然气物性参数主键集合
     * @return 结果
     */
    public int deleteNgNgparByIds(String[] ids);

    /**
     * 删除天然气物性参数信息
     * 
     * @param id 天然气物性参数主键
     * @return 结果
     */
    public int deleteNgNgparById(String id);
}
