package com.ruoyi.ngtools.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ngtools.mapper.NgNgparMapper;
import com.ruoyi.ngtools.domain.NgNgpar;
import com.ruoyi.ngtools.service.INgNgparService;

/**
 * 天然气物性参数Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
@Service
public class NgNgparServiceImpl implements INgNgparService 
{
    @Autowired
    private NgNgparMapper ngNgparMapper;

    /**
     * 查询天然气物性参数
     * 
     * @param id 天然气物性参数主键
     * @return 天然气物性参数
     */
    @Override
    public NgNgpar selectNgNgparById(String id)
    {
        return ngNgparMapper.selectNgNgparById(id);
    }

    /**
     * 查询天然气物性参数列表
     * 
     * @param ngNgpar 天然气物性参数
     * @return 天然气物性参数
     */
    @Override
    public List<NgNgpar> selectNgNgparList(NgNgpar ngNgpar)
    {
        return ngNgparMapper.selectNgNgparList(ngNgpar);
    }

    /**
     * 新增天然气物性参数
     * 
     * @param ngNgpar 天然气物性参数
     * @return 结果
     */
    @Override
    public int insertNgNgpar(NgNgpar ngNgpar)
    {
        ngNgpar.setCreateTime(DateUtils.getNowDate());
        return ngNgparMapper.insertNgNgpar(ngNgpar);
    }

    /**
     * 修改天然气物性参数
     * 
     * @param ngNgpar 天然气物性参数
     * @return 结果
     */
    @Override
    public int updateNgNgpar(NgNgpar ngNgpar)
    {
        ngNgpar.setUpdateTime(DateUtils.getNowDate());
        return ngNgparMapper.updateNgNgpar(ngNgpar);
    }

    /**
     * 批量删除天然气物性参数
     * 
     * @param ids 需要删除的天然气物性参数主键
     * @return 结果
     */
    @Override
    public int deleteNgNgparByIds(String[] ids)
    {
        return ngNgparMapper.deleteNgNgparByIds(ids);
    }

    /**
     * 删除天然气物性参数信息
     * 
     * @param id 天然气物性参数主键
     * @return 结果
     */
    @Override
    public int deleteNgNgparById(String id)
    {
        return ngNgparMapper.deleteNgNgparById(id);
    }
}
